# Chapter 6, Figure 6.14 - between-subjects ANOVA

# Reminder: before running this script in RStudio, set the working directory
# to the location of the source file and data file:
#
#    Session --> Set Working Directory --> To Source File Location

# fresh start
cat("\f") # clear console
rm(list = ls(all.names = TRUE)) # clear environment

# load the data ...

# option 1 - read data from file
data1 = read.delim("betweensubjects.txt", header=FALSE, sep="",
  col.names = c("Time", "Hand_Preference"))

# option 2 - include data in script
# data1 = data.frame(Time=c(23, 19, 22, 21, 23, 20, 25, 23, 17, 19, 16, 21, 23, 20, 22, 21),
#   Hand_Preference=rep(c("L", "R"), each=8))

# show the data
data1

# do the ANOVA
result = aov(Time ~ Hand_Preference, data = data1)

# show the anova table (cf. Figure 6.14)
summary(result)

# *** end ***
