# Chapter 6, Figure 6.27 - Chi Square - example 2

# Reminder: before running this script in RStudio, set the working directory
# to the location of the source file and data file:
#
#    Session --> Set Working Directory --> To Source File Location

# fresh start
cat("\f") # clear console
rm(list = ls(all.names = TRUE)) # clear environment

# load the data ...

# option 1 - read data from file
data1 = read.delim("chisquare-ex2.txt", header=FALSE, sep="")

# option 2 - include data in script
# data1 = data.frame(V1=c(10, 30),
#     V2=c(12, 48),
#     V3=c(98, 102))

# show the data
data1

# do the Chi Square test, show result (cf. Figure 6.27)
chisq.test(data1)

# -------------------------------
# now do the post hoc comparisons
# -------------------------------

# need this library to run pairwise_prop_test function
library(rstatix)

# do the pairwise comparisons, show result (cf. Figure 6.27)
pairwise_prop_test(data1) 

# *** end ***
