# Chapter 6, Figure 6.31 - Lilliefors test for normality - example 2

# Reminder: before running this script in RStudio, set the working directory
# to the location of the source file and data file:
#
#    Session --> Set Working Directory --> To Source File Location

# fresh start
cat("\f") # clear console
rm(list = ls(all.names = TRUE)) # clear environment

# load the data ...

# option 1 - read data from file
data1 = read.delim("lilliefors-ex2.txt", header=FALSE, sep=",")
data1 = as.numeric(t(data1))

# option 2 - include data in script
#data1 = c(-13.9, -13.9, -26.6, -7.5, -14.6, -13.5, -15.2, 33.1, -10.7, 36.8, 2.4, -12.2, -1.5, -24.5, 21.8, 17.3, 1.9, 23.7, -6.7, -11.0)

# show the data
data1

# need this library to run lillie.test function
library(nortest)

# do the Lillierfors test
result = lillie.test(data1)

# show result (cf. Figure 6.31, but see note below)
result

# NOTE: R's lillie.test function computes the Lilliefors test statistic, D.
# However, it does not compute or output the critical value against which the 
# test statistic is compared.  Instead, it computes the p-value.  Presumably, p 
# is above .05 when the test statistic is below the critical value (meaning the 
# null hypothesis of normality is tenable) and p is below .05 when the test 
# statistic is above the critical value (meaning the null hypothesis of 
# normality can be rejected).

# *** end ***
